%define major 0

Summary: Muscle PCSC Framework for Linux
Name: pcsc-lite
Version: 1.1.1
Release: 1mdk
License: BSD
Group: System/Servers
Source: http://www.linuxnet.com/middleware/files/%{name}-%{version}.tar.bz2
Source1: pcscd.bz2
URL: http://www.linuxnet.com/
BuildRequires:	flex
BuildRoot: %{_tmppath}/%{name}-root

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

%package -n lib%{name}%{major}
Summary: Muscle PCSC Framework for Linux libraries
Group: System/Libraries

%description -n lib%{name}%{major}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The lib%{name}%{major} package contains the shared libraries needed by PCSC
Lite. If you're using %{name}, you'll need to install this package.

%package -n lib%{name}%{major}-devel
Summary: Muscle PCSC Framework for Linux development files
Group: Development/Other
Requires: lib%{name}%{major} = %{version}
Provides: %{name}-devel lib%{name}-devel

%description -n lib%{name}%{major}-devel
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The lib%{name}%{major}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%{_initrddir}/pcscd

# remove unpackaged files
rm -rf	$RPM_BUILD_ROOT%{_datadir}/pcscd.startup

%clean
rm -rf $RPM_BUILD_ROOT

%post
	/sbin/chkconfig --add pcscd

%preun
	/sbin/chkconfig --del pcscd
	/sbin/service pcscd stop > /dev/null 2>&1

%post -n lib%{name}%{major} -p /sbin/ldconfig
%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/muscle-api-1.3.0.pdf doc/pcsc-lite-0.8.7.pdf doc/README.DAEMON
%attr(755,root,root) %config(noreplace) %{_initrddir}/pcscd
%config(noreplace) %{_sysconfdir}/reader.conf
%{_bindir}/*
%{_mandir}/man1/bundleTool.1*
%{_mandir}/man8/pcscd.8*
%{_sbindir}/*
/usr/share/pcsc-lite-0.8.7.pdf
/usr/share/muscle-api-1.3.0.pdf
/usr/share/README.DAEMON

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Dec 23 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-1mdk
- initial mdk package
